Bug 234670 - net/uriparser: Update to 0.9.1
Summary: net/uriparser: Update to 0.9.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Thomas Zander
URL:
Keywords: patch, patch-ready, security
Depends on:
Blocks:
 
Reported: 2019-01-06 19:10 UTC by Thomas Zander
Modified: 2019-01-26 11:06 UTC (History)
2 users (show)

See Also:
riggs: maintainer-feedback-
riggs: merge-quarterly+


Attachments
Update to 0.9.1 (1.09 KB, text/plain)
2019-01-06 19:10 UTC, Thomas Zander
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Zander freebsd_committer 2019-01-06 19:10:10 UTC
Created attachment 200845 [details]
Update to 0.9.1

Update to uriparser 0.9.1 contains a security fix for out-off-bounds reads.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-01-07 03:57:30 UTC
VuXML entry created (by riggs) in ports r489524
Comment 2 Thomas Zander freebsd_committer 2019-01-26 10:50:33 UTC
Feedback timeout
Comment 3 commit-hook freebsd_committer 2019-01-26 10:52:55 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 26 10:52:45 UTC 2019
New revision: 491262
URL: https://svnweb.freebsd.org/changeset/ports/491262

Log:
  Update to upstream version 0.9.1

  Details:
  - Addressing an out-of-bounds read which might be exploitable,
    see upstream changelog:
    https://github.com/uriparser/uriparser/blob/uriparser-0.9.1/ChangeLog

  PR:		234670
  Submitted by:	riggs
  Approved by:	maintainer timeout
  MFH:		2019Q1

Changes:
  head/net/uriparser/Makefile
  head/net/uriparser/distinfo
  head/net/uriparser/pkg-plist
Comment 4 commit-hook freebsd_committer 2019-01-26 11:05:19 UTC
A commit references this bug:

Author: riggs
Date: Sat Jan 26 11:04:27 UTC 2019
New revision: 491266
URL: https://svnweb.freebsd.org/changeset/ports/491266

Log:
  MFH: r491262

  Update to upstream version 0.9.1

  Details:
  - Addressing an out-of-bounds read which might be exploitable,
    see upstream changelog:
    https://github.com/uriparser/uriparser/blob/uriparser-0.9.1/ChangeLog

  PR:		234670
  Submitted by:	riggs
  Approved by:	maintainer timeout

  Approved by:	ports-secteam (riggs)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/net/uriparser/Makefile
  branches/2019Q1/net/uriparser/distinfo
  branches/2019Q1/net/uriparser/pkg-plist